Knowledgebase

Search:     Advanced search

License Server Compatibility

Article ID: 263  |  Last updated: 25 Apr, 2017

The Helix ALM License Server is backward compatible. It supports the Helix ALM or Surround SCM version it is released with and earlier versions, but not later versions.

When you upgrade Helix ALM or Surround SCM, always install the current license server version.

Following are the license server versions and the supported Helix ALM and Surround SCM versions. In the Helix ALM License Server Admin Utility 2008 and later, choose Help > About License Server to view the supported versions.

Note: Starting with 2017.1 releases, TestTrack was renamed Helix ALM and Seapine License Server was renamed Helix ALM License Server.

License Server 2017.1

  • Helix ALM 2014.1 - 2017.1
  • Surround SCM 2014.1 - 2017.1

License Server 2016.1

  • Surround SCM 2012.0 - 2016.1
  • TestTrack 2012.0 - 2016.1

License Server 2016.0

  • Surround SCM 2012.0 - 2016.0
  • TestTrack 2012.0 - 2016.0

License Server 2015.1

  • Surround SCM 2011.0 - 2015.1
  • TestTrack 2011.0 - 2015.1

License Server 2015.0

  • Surround SCM 2010.1.0 - 2015.0
  • TestTrack 2010.1.0 - 2015.0

License Server 2014.2

  • Surround SCM 2010.1.0 - 2014.1
  • TestTrack 2010.1.0 - 2014.1

License Server 2014.1

  • Surround SCM 2010.1.0 - 2014.1
  • TestTrack 2010.1.0 - 2014.1

License Server 2014.0

  • Surround SCM 2010.1.0 - 2014.0
  • TestTrack 2010.1.0 - 2014.0

License Server 2013.2

  • Surround SCM 2009.0.0 - 2013.2
  • TestTrack 2009.0.0 - 2013.1

License Server 2013.1

  • Surround SCM 2009.0.0 - 2013.1
  • TestTrack 2009.0.0 - 2013.1

License Server 2013.0.2

  • Surround SCM 2009.0.0 - 2013.0.1
  • TestTrack 2009.0.0 - 2013.0.1

License Server 2013.0

  • Surround SCM 2009.0.0 - 2013.0
  • TestTrack 2009.0.0 - 2013.0

License Server 2012.1

  • Surround SCM 2008.0.0 - 2012.1
  • TestTrack 2008.0.0 - 2012.1

License Server 2012.0

  • Surround SCM 2008.0.0 - 2012.0
  • TestTrack 2008.0.0 - 2012.0

License Server 2011.1

  • Surround SCM 2008.0.0 - 2011.1
  • TestTrack 2008.0.0 - 2011.1

License Server 2011.0

  • Surround SCM 2008.0.0 - 2011.0
  • TestTrack 2008.0.0 - 2011.0

License Server 2010.1.1

  • Surround SCM 4.0.0 - 2010.1
  • TestTrack 7.5.0 - 2010.1

License Server 2010.1

  • Surround SCM 4.0.0 - 2010.0
  • TestTrack 7.5.0 - 2010.0

License Server 2010.0

  • Surround SCM 4.0.0 - 2009.1
  • TestTrack 7.5.0 - 2010.0

License Server 2009.1

  • Surround SCM 4.0.0 - 2009.1
  • TestTrack 7.5.0 - 2009.0

License Server 2009.0

  • Surround SCM 4.0.0 - 2009.0
  • TestTrack Pro 7.5.0 - 2009.0
  • TestTrack TCM 2009.0 and earlier

License Server 2008.2

  • Surround SCM 3.0.0 - 2009.0
  • TestTrack Pro 7.0.0 - 2008.2
  • TestTrack TCM 2008.2 and earlier

License Server 2008.1

  • Surround SCM 3.0.0 - 2008.1
  • TestTrack Pro 7.0.0 - 2008.2
  • TestTrack TCM 2008.2 and earlier

License Server 2008.0

  • Surround SCM 3.0.0 - 2008.0
  • TestTrack Pro 7.0.0 - 2008.0
  • TestTrack TCM 2008.0 and earlier
Article ID: 263  |   Last updated: 25 Apr, 2017
Tags
supported versions compatibility upgrade

Prev   Next
License Server RDBMS Support     Cannot Connect to Server after Upgrading to Mac OS X 10.6